Summary:	Administration tool for Linux Virtual Server
Name:		ipvsadm
Version:	1.31
Release:	%mkrel 5
License:	GPL-2.0-or-later
Group:		System/Kernel and hardware
URL:		https://kernel.org/pub/linux/utils/kernel/ipvsadm/
Source0:	https://kernel.org/pub/linux/utils/kernel/ipvsadm/%{name}-%{version}.tar.gz
Source1:	ipvsadm.service
Source2:	ipvsadm.sysconfig
Source3:	rc.firewall.iptables
Patch1:		ipvsadm-1.24-usage.patch
Patch2:		ipvsadm-1.26-LDFLAGS.diff
Patch3:		ipvsadm-1.2-lsb.patch
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	kernel-desktop-devel-latest
BuildRequires:	systemd
Requires(post): systemd
Requires(preun): systemd

%description
ipvsadm is a utility to administer the IP virtual server services offered by
the Linux kernel with virtual server patch. Virtual Server in Linux kernel can
be used to build a high-performance and highly available server.

%prep

%setup -q
%patch -P 1 -p1 -b .usage
%patch -P 2 -p0 -b .LDFLAGS
%patch -P 3 -p1 -b .lsb

cp %{SOURCE2} %{name}.sysconfig
cp %{SOURCE3} rc.firewall.iptables

%build

# parallel make doesn't work [FL Tue Jan 20 09:14:18 2004]
%__make POPT_LIB="-lpopt" CFLAGS="%{optflags} -fPIC -DHAVE_POPT -DLIBIPVS_USE_NL `pkg-config --cflags libnl-3.0`" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}/{%{_sbindir},%{_mandir}/man8,%{_initrddir},%{_sysconfdir}/sysconfig}

%make_install BUILD_ROOT=%{buildroot} MANDIR=%{_mandir} SBIN=%{buildroot}%{_sbindir}

# Sysvinit support dropping
rm -rf %{buildroot}%{_initrddir}

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -m0644 %{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc MAINTAINERS README rc.firewall.iptables
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}-restore
%{_sbindir}/%{name}-save
%{_mandir}/man8/*.8*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.31-5.mga10
+ Revision: 2222391
- Mageia 10 Mass Rebuild

* Tue Apr 30 2024 daviddavid <daviddavid> 1.31-4.mga10
+ Revision: 2061711
- switch to systemd unit from initscripts

* Thu Mar 17 2022 umeabot <umeabot> 1.31-3.mga9
+ Revision: 1797380
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 1.31-2.mga8
+ Revision: 1543056
- Mageia 8 Mass Rebuild

* Sun Jan 12 2020 luigiwalser <luigiwalser> 1.31-1.mga8
+ Revision: 1477712
- 1.31

* Wed Jul 17 2019 daviddavid <daviddavid> 1.30-1.mga8
+ Revision: 1422017
- new version: 1.30

* Sun Sep 23 2018 umeabot <umeabot> 1.29-2.mga7
+ Revision: 1298317
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.29-1.mga6
+ Revision: 1078961
- 1.29

* Thu Dec 31 2015 blino <blino> 1.28-2.mga6
+ Revision: 917092
- buildrequire kernel-desktop devel instead of deprecated kirkwood flavor on ARM

* Sat Dec 26 2015 luigiwalser <luigiwalser> 1.28-1.mga6
+ Revision: 915388
- 1.28

* Fri Dec 26 2014 luigiwalser <luigiwalser> 1.27-5.mga5
+ Revision: 806054
- build with libnl3

* Wed Oct 15 2014 umeabot <umeabot> 1.27-4.mga5
+ Revision: 746005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.27-3.mga5
+ Revision: 680556
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.27-2.mga4
+ Revision: 534346
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 luigiwalser <luigiwalser> 1.27-1.mga4
+ Revision: 477346
- 1.27

* Sat Jan 12 2013 umeabot <umeabot> 1.26-3.mga3
+ Revision: 354484
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 13 2012 tmb <tmb> 1.26-2.mga2
+ Revision: 235556
- fix buildflags
- dont install obsolete ip_vs.h
- BR nl-devel and kernel-devel-latest
- clean spec
+ colin <colin>
- Add LSB headers to initscripts (mga#5262)
+ tv <tv>
- new release
- fix source URL
- drop patch 0 (merged)
- rediff patch 2

* Thu May 26 2011 pterjan <pterjan> 1.24-13.mga1
+ Revision: 100501
- imported package ipvsadm


* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.24-12mdv2011.0
+ Revision: 665522
- mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.24-11mdv2011.0
+ Revision: 605982
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.24-10mdv2010.1
+ Revision: 519012
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.24-9mdv2010.0
+ Revision: 425382
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.24-8mdv2009.1
+ Revision: 316437
- use the %%ldflags macro

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.24-7mdv2009.1
+ Revision: 316215
- rediffed fuzzy patches
- use LDFLAGS from the %%configure macro

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.24-6mdv2009.0
+ Revision: 221642
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.24-5mdv2008.1
+ Revision: 150343
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.24-4mdv2007.0
+ Revision: 86440
- Import ipvsadm

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.24-4mdv2007.1
- bunzip sources and patches
- spec file massage
- fix deps

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.24-3mdk
- Rebuild

* Tue Jan 20 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.24-2mdk
- fixed initscript usage string

* Mon Dec 22 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.24-1mdk
- 1.24
- remove %%patch0, use make MANDIR=%%_mandir instead
- update %%SOURCE1 from kernel 2.6 (ip_vs.h)

